Subject: [Fot] TR3 front fender cost

From: Chuck Gee via Fot <[email-masked]>
Date: Sat, 27 Sep 2025 17:04:08 -0400

Hello all,

I sent this earlier with my aol account so I’m not sure if it will go through to the list.  I know it used to be an issue, so I thought I’d re-send with my Gmail account just in case.

Anyway, anyone know what the going rate is for a used TR3 front fender?  I found one locally and the guy isn’t sure what to sell it for and I want to be fair with him.  It’s in good shape, with no rust or significant damage.

Thanks,

Chuck
Chuck
_______________________________________________
[email-masked]

http://www.fot-racing.com

Donate: http://www.team.net/donate.html
Archive: http://autox.team.net/archive http://www.team.net/pipermail/fot
Unsubscribe/Manage: http://autox.team.net/mailman/options/fot/[email-masked]